# -*- coding: utf-8 -*-
"""
 Copyright 2015 Freescale Semiconductor, Inc.
 Copyright 2017, 2024 NXP

 NXP Confidential and Proprietary. This software is owned or controlled by NXP
 and may only be used strictly in accordance with the applicable license terms.
 By expressly accepting such terms or by downloading, installing, activating
 and/or otherwise using the software, you are agreeing that you have read, and
 that you agree to comply with and are bound by, such license terms. If you do
 not agree to be bound by the applicable license terms, then you may not retain,
 install, activate or otherwise use the software.
"""
import sys
import os

#compute gdb_extensions rel path
S32DBG_EXTENSION_DIR = ''.join([os.path.dirname(os.path.realpath(__file__)), '/', '../'])
GDB_EXTENSIONS_DIR = ''.join([S32DBG_EXTENSION_DIR, '../'])

#add gdb_extensions to system path
sys.path.insert(0, GDB_EXTENSIONS_DIR)

from mmu.gdbcommands import commands

def mmu_initialization():
    """S32DBG initialization script"""
    commands.create_mmu_command()

if __name__ == '__main__':
    mmu_initialization()





